import { defineConfig } from 'vite'
import plugins from './build/plugin'
import css from './build/css'
import server from './build/server'
import path from 'path'

function resolve(dir: string) {
  return path.join(__dirname, dir)
}

// https://vitejs.dev/config/
export default defineConfig({
  plugins,
  resolve: {
    alias: {
      '@': resolve('src'),
      assets: resolve('src/assets'),
      services: resolve('src/services'),
      utils: resolve('src/utils'),
      interface: resolve('src/interface'),
      components: resolve('src/components'),
      hooks: resolve('src/hooks'),
      filters: resolve('src/filters'),
      views: resolve('src/views')
    }
  },
  server,
  css,
  build: {
    outDir: 'cmc-web',
    assetsDir: 'static'
  }
})
